All of lore.kernel.org
 help / color / mirror / Atom feed
From: Michael J Gruber <git@drmicha.warpmail.net>
To: git@vger.kernel.org
Cc: Johannes Schindelin <johannes.schindelin@gmx.de>,
	Junio C Hamano <gitster@pobox.com>
Subject: [PATCH 1/2] git notes show: test empty notes
Date: Fri,  6 Feb 2009 16:19:02 +0100	[thread overview]
Message-ID: <1233933543-28407-2-git-send-email-git@drmicha.warpmail.net> (raw)
In-Reply-To: <1233933543-28407-1-git-send-email-git@drmicha.warpmail.net>

Add a test for the handling of empty notes by "git notes show".
---
 t/t3301-notes.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/t/t3301-notes.sh b/t/t3301-notes.sh
index 9393a25..4900dca 100755
--- a/t/t3301-notes.sh
+++ b/t/t3301-notes.sh
@@ -35,6 +35,11 @@ test_expect_success 'need valid notes ref' '
 	! MSG=2 GIT_NOTES_REF='/' git notes show
 '
 
+# 1 indicates caught gracefully by die, 128 means git-show barfed
+test_expect_failure 'handle empty notes gracefully' '
+	git notes show || test 1 = $?
+'
+
 test_expect_success 'create notes' '
 	git config core.notesRef refs/notes/commits &&
 	MSG=b1 git notes edit &&
-- 
1.6.1.2.253.ga34a

  reply	other threads:[~2009-02-06 15:21 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2009-02-06 15:19 [PATCH 0/2] git notes show: handle empty notes gracefully Michael J Gruber
2009-02-06 15:19 ` Michael J Gruber [this message]
2009-02-06 15:19   ` [PATCH 2/2] " Michael J Gruber
2009-02-06 15:38     ` Johannes Schindelin
2009-02-06 15:49       ` Johannes Sixt
2009-02-06 15:50       ` Michael J Gruber
2009-02-06 15:36   ` [PATCH 1/2] git notes show: test empty notes Johannes Schindelin
2009-02-06 15:42     ` Michael J Gruber
2009-02-06 15:37 ` [PATCH 0/2] git notes show: handle empty notes gracefully Michael J Gruber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1233933543-28407-2-git-send-email-git@drmicha.warpmail.net \
    --to=git@drmicha.warpmail.net \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=johannes.schindelin@gmx.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.